<?xml version="1.0" encoding="utf-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ogr="http://ogr.maptools.org/" xmlns:gml="http://www.opengis.net/gml" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" version="1.0" 
>
  <xsl:output method="text"/> 
  <xsl:template match="/ogr:FeatureCollection">
	<xsl:for-each select="gml:featureMember">
		<xsl:variable name="x" select="substring-before(ogr:DEF_P_KU/ogr:geometryProperty/gml:Point/gml:coordinates, ',')"/>
		<xsl:variable name="y" select="substring-before(substring-after(ogr:DEF_P_KU/ogr:geometryProperty/gml:Point/gml:coordinates, ','), ',')"/>
		<xsl:value-of select="position()+100000"/>
		<xsl:text>-100m.gml;</xsl:text>
        <xsl:text>http://services.cuzk.cz/wfs/inspire-cp-wfs.asp?SERVICE=WFS&amp;VERSION=2.0.0&amp;REQUEST=GetFeature&amp;TYPENAME=CP:CadastralParcel&amp;BBOX=</xsl:text>
        <xsl:value-of select="$x - 50"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y - 50"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$x + 50"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y + 50"/>
        <xsl:text>;&#xa;</xsl:text>
		<xsl:value-of select="position()+100000"/>
		<xsl:text>-200m.gml;</xsl:text>
        <xsl:text>"http://services.cuzk.cz/wfs/inspire-cp-wfs.asp?SERVICE=WFS&amp;VERSION=2.0.0&amp;REQUEST=GetFeature&amp;TYPENAME=CP:CadastralParcel&amp;BBOX=</xsl:text>
        <xsl:value-of select="$x - 100"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y - 100"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$x + 100"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y + 100"/>
        <xsl:text>;&#xa;</xsl:text>
		<xsl:value-of select="position()+100000"/>
		<xsl:text>-400m.gml;</xsl:text>
        <xsl:text>http://services.cuzk.cz/wfs/inspire-cp-wfs.asp?SERVICE=WFS&amp;VERSION=2.0.0&amp;REQUEST=GetFeature&amp;TYPENAME=CP:CadastralParcel&amp;BBOX=</xsl:text>
        <xsl:value-of select="$x - 200"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y - 200"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$x + 200"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="$y + 200"/>
        <xsl:text>;&#xa;</xsl:text>
	</xsl:for-each>
  </xsl:template>
</xsl:transform>

